<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage.html">storage</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html">SQLiteDeviceSettingStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_s_q_lite_device_setting_storage_8h_source.html">SQLiteDeviceSettingStorage.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage_inherit__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html" title="alexaClientSDK::settings\l::storage::DeviceSettingStorage\lInterface" alt="" coords="5,5,215,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage_coll__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html" title="alexaClientSDK::settings\l::storage::DeviceSettingStorage\lInterface" alt="" coords="5,5,215,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac80b90dbab54392018333d0acc3e6540"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#ac80b90dbab54392018333d0acc3e6540">~SQLiteDeviceSettingStorage</a> ()</td></tr>
<tr class="separator:ac80b90dbab54392018333d0acc3e6540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">SettingStorageInterface Functions</div></td></tr>
<tr class="memitem:a7733e56145916f7ff265c5c950add492"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#a7733e56145916f7ff265c5c950add492">open</a> () override</td></tr>
<tr class="separator:a7733e56145916f7ff265c5c950add492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2eed1ce519c25f9bd62c0c645bbc306"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#ab2eed1ce519c25f9bd62c0c645bbc306">close</a> () override</td></tr>
<tr class="separator:ab2eed1ce519c25f9bd62c0c645bbc306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838a36703b2e5543391d3a0296576bbe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#a838a36703b2e5543391d3a0296576bbe">storeSetting</a> (const std::string &amp;key, const std::string &amp;value, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status) override</td></tr>
<tr class="separator:a838a36703b2e5543391d3a0296576bbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36294c60fc3906f4b8b45151ac0afdc0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#a36294c60fc3906f4b8b45151ac0afdc0">loadSetting</a> (const std::string &amp;key) override</td></tr>
<tr class="separator:a36294c60fc3906f4b8b45151ac0afdc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea32c42a12449799f9773f1c967d5118"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#aea32c42a12449799f9773f1c967d5118">deleteSetting</a> (const std::string &amp;key) override</td></tr>
<tr class="separator:aea32c42a12449799f9773f1c967d5118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7ecd1ddbd9b8a0e2d937ae28287c317"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#aa7ecd1ddbd9b8a0e2d937ae28287c317">updateSettingStatus</a> (const std::string &amp;key, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status) override</td></tr>
<tr class="separator:aa7ecd1ddbd9b8a0e2d937ae28287c317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a></td></tr>
<tr class="memitem:a904c825be74d9cb4a71ae341ae07a8f1 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a904c825be74d9cb4a71ae341ae07a8f1">~DeviceSettingStorageInterface</a> ()=default</td></tr>
<tr class="separator:a904c825be74d9cb4a71ae341ae07a8f1 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:acafa4e3b5eacd27aa4c897c8bde58250"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html">SQLiteDeviceSettingStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#acafa4e3b5eacd27aa4c897c8bde58250">create</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">avsCommon::utils::configuration::ConfigurationNode</a> &amp;configurationRoot)</td></tr>
<tr class="separator:acafa4e3b5eacd27aa4c897c8bde58250"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a></td></tr>
<tr class="memitem:a36dc43291bb074e717870985d89b0a0a inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a> = std::pair&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>, std::string &gt;</td></tr>
<tr class="separator:a36dc43291bb074e717870985d89b0a0a inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac80b90dbab54392018333d0acc3e6540"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac80b90dbab54392018333d0acc3e6540">&#9670;&nbsp;</a></span>~SQLiteDeviceSettingStorage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::~SQLiteDeviceSettingStorage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab2eed1ce519c25f9bd62c0c645bbc306"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2eed1ce519c25f9bd62c0c645bbc306">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Close the currently open database, if one is open. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>.</p>

</div>
</div>
<a id="acafa4e3b5eacd27aa4c897c8bde58250"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acafa4e3b5eacd27aa4c897c8bde58250">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html">SQLiteDeviceSettingStorage</a> &gt; alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::create </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">avsCommon::utils::configuration::ConfigurationNode</a> &amp;&#160;</td>
          <td class="paramname"><em>configurationRoot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Factory method for creating a storage object for settings based on an SQLite database. Settings will be stored in the misc database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">configurationRoot</td><td>The global config object where the location of the misc database can be found. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html">SQLiteDeviceSettingStorage</a> object, nullptr if there's an error creating it. </dd></dl>

</div>
</div>
<a id="aea32c42a12449799f9773f1c967d5118"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea32c42a12449799f9773f1c967d5118">&#9670;&nbsp;</a></span>deleteSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::deleteSetting </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Removes the entry for a particular setting in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if deletion is successful, false otherwise </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>.</p>

</div>
</div>
<a id="a36294c60fc3906f4b8b45151ac0afdc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36294c60fc3906f4b8b45151ac0afdc0">&#9670;&nbsp;</a></span>loadSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">DeviceSettingStorageInterface::SettingStatusAndValue</a> alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::loadSetting </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Retrieves the setting status and value from the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status and value of the setting. The value will contain the reason or error message if the status is <code>NOT_AVAILABLE</code>. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>.</p>

</div>
</div>
<a id="a7733e56145916f7ff265c5c950add492"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7733e56145916f7ff265c5c950add492">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Open an existing database.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is opened ok or is already open <code>false</code> if this object is already managing an open database, or if there is another internal reason the database could not be opened. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>.</p>

</div>
</div>
<a id="a838a36703b2e5543391d3a0296576bbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a838a36703b2e5543391d3a0296576bbe">&#9670;&nbsp;</a></span>storeSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::storeSetting </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>&#160;</td>
          <td class="paramname"><em>status</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Stores a single setting in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
    <tr><td class="paramname">value</td><td>The string value of the setting. </td></tr>
    <tr><td class="paramname">status</td><td>The status of the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the setting was successfully stored. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>.</p>

</div>
</div>
<a id="aa7ecd1ddbd9b8a0e2d937ae28287c317"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7ecd1ddbd9b8a0e2d937ae28287c317">&#9670;&nbsp;</a></span>updateSettingStatus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage::updateSettingStatus </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>&#160;</td>
          <td class="paramname"><em>status</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Update the status of a setting in the database. The update will fail if the setting does not exist.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
    <tr><td class="paramname">status</td><td>The status of the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the status was successfully updated. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/Settings/include/Settings/Storage/<a class="el" href="_s_q_lite_device_setting_storage_8h_source.html">SQLiteDeviceSettingStorage.h</a></li>
<li>/workplace/avs-device-sdk/Settings/src/Storage/<a class="el" href="_s_q_lite_device_setting_storage_8cpp.html">SQLiteDeviceSettingStorage.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
